Bulk variable group info
GET /v1/bulk/info/variable-group
Fetch metadata for multiple statistical variable groups.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”(optional) The variable group dcids to query for. If not specified, then return all the variable group info.
(optional) When specified, only return the variable groups that at least num_entities_existence number of entities has data for.
(optional) Number of passed in entities that should have data for the stat var (group)s that are returned. Default to 1 if unspecified.
Responses
Section titled “ Responses ”A successful response.
object
object
object
Absolute name of StatVarGroup. Typically used only for root nodes.
List of children StatVar IDs directly attached to this group. If there are auto-generated and curated IDs for a StatVar, we’ll prefer the curated.
object
StatVar ID.
Name suitable for search.
Names suitable for search.
Name suitable for display in tree.
Serialized string containing StatVar definition.
The format is P=V delimited by commas. The required properties are abbreviated (populationType is ‘pt’, statType is ‘st’, etc). For example, “median income of women” is:
“st=medianValue,pt=Person,mp=income,gender=Female”
When statType is “measuredValue” (default), it is skipped.
List of children StatVarGroups that are immediate specializations.
object
StatVarGroup ID.
The specialized entity of the child StatVarGroup relative to the parent. This can be used for naming when the child appears in the hierarchy.
==== Below are fields not in original cache. Name suitable for display in tree.
Number of unique descendent stat-vars.
Number of unique descendent stat-vars.
List of parent StatVarGroup IDs.
default
Section titled “default ”An unexpected error response.